diff --git a/templates/_common/catkin-base.template b/templates/_common/catkin-base.template
index 722d0ef1a..a1e0c5029 100644
--- a/templates/_common/catkin-base.template
+++ b/templates/_common/catkin-base.template
@@ -53,7 +53,5 @@ variables:
     # Build
     ${make.build.command}
 
-    # Test
-    ${make.test.command}
   shell.command: []
 
@@ -110,6 +108,7 @@ aspects:
        --source-space "\${SOURCE_SPACE}"                 \
        @{catkin.options.args}                            \
        --cmake-args @{cmake.cmdline.options}             \
+       -DCATKIN_ENABLE_TESTING=0 \
        @{cmake.dir-option-lines}@{cmake.option-lines} --
 
       ${make.command}
diff --git a/templates/_common/job-defaults.template b/templates/_common/job-defaults.template
index 700618ac2..29162b9ea 100644
--- a/templates/_common/job-defaults.template
+++ b/templates/_common/job-defaults.template
@@ -8,7 +8,7 @@ variables:
   build-job-name: ${next-value|${build-job.name:default}}
 
   build-job.disabled?: ${disable-jobs?}
-  disable-jobs?: ${next-value|true}
+  disable-jobs?: ${next-value|false}
 
   build-job.tags:
   - ${mode}
diff --git a/templates/ci-deploy/base.template b/templates/ci-deploy/base.template
index 75fc6caca..1a0d099e4 100644
--- a/templates/ci-deploy/base.template
+++ b/templates/ci-deploy/base.template
@@ -8,9 +8,6 @@ inherit:
 - retention-defaults
 - redmine-defaults
 - slave-defaults
-- sloccount
-- warnings
-- tasks
 - email-notification
 - description
 - deployment-test
@@ -26,9 +23,6 @@ variables:
     # Build
     ${make.build.command}
 
-    # Test
-    ${make.test.command}
-
     # Install
     ${make.install.command}
 
diff --git a/templates/ci-deploy/catkin.template b/templates/ci-deploy/catkin.template
index 704b3c6ee..cdb5af004 100644
--- a/templates/ci-deploy/catkin.template
+++ b/templates/ci-deploy/catkin.template
@@ -1,6 +1,5 @@
 inherit:
 - catkin-base
-- unit-test-report
 
 variables:
   catkin.options:default:
